/**
 * EdgeAttr.java created on 2016年12月28日 下午3:22:15 by jiminghu
 */
package com.dgt.graphdemo.entity.fqz;


import java.math.BigDecimal;

/**
 * @Copyright: 2016
 * @author: jiminghu
 * @since: 2016年12月28日
 */
public class EdgeAttr extends CommonBean<EdgeAttr>{
	/**
	 */
	private static final long serialVersionUID = -6827608185174111937L;
	private String type;
	private String createTime;
	private String desc;
	private BigDecimal weight;
	
	/**
	 * @return the type
	 */
	public String getType() {
		return type;
	}
	
	/**
	 * @param type the type to set
	 */
	public void setType(String type) {
		this.type = type;
	}
	
	/**
	 * @return the createTime
	 */
	public String getCreateTime() {
		return createTime;
	}
	
	/**
	 * @param createTime the createTime to set
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}
	
	/**
	 * @return the desc
	 */
	public String getDesc() {
		return desc;
	}
	
	/**
	 * @param desc the desc to set
	 */
	public void setDesc(String desc) {
		this.desc = desc;
	}

	
	/**
	 * @return the weight
	 */
	public BigDecimal getWeight() {
		return weight;
	}

	
	/**
	 * @param weight the weight to set
	 */
	public void setWeight(BigDecimal weight) {
		this.weight = weight;
	}
}
